﻿using System.Collections.Generic;
using Telerik.Pivot.Core.Fields;

namespace RadPivotGrid_WPF_574889_CustomProvider
{
    public class CustomFieldDescriptionsProvider : LocalDataSourceFieldDescriptionsProvider
    {
        protected override System.Collections.Generic.IEnumerable<IPivotFieldInfo> GetDescriptions(IFieldInfoExtractor getter)
        {
            var result = base.GetDescriptions(getter);
            
            // filter some of the results
            List<PropertyInfoFieldInfo> itemsToShow = new List<PropertyInfoFieldInfo>();

            foreach (PropertyInfoFieldInfo item in result)
            {
                if (item.DisplayName != "IsValid" && item.DisplayName != "ErrorText")
                {
                    itemsToShow.Add(item);
                }
            }
            return itemsToShow;
        }
    }
}
